Bug 441530 - Man pages of some frysk utilities are wrong
Man pages of some frysk utilities are wrong
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Eric Bachalo
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 12:09 EDT by Petr Muller
Modified: 2016-09-19 22:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 04:39:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2008-04-08 12:09:59 EDT
Description of problem:
Information on some manual page are wrong, as it states two options, --console 
and --log, none of which actually works. It seems that 'utility -h' reports 
correct set of options and behavior, so man page should be probably aligned to 
this information.

affected utils: fauxv, fcore, fdebuginfo, fdebugrpm, fmaps, fstack

Version-Release number of selected component (if applicable):
frysk-0.0.1.2008.03.19.rh1-1.el5

How reproducible:
always

Steps to Reproduce:
1. man <affected frysk util>
 
Actual results:
Bogus options described in manual

Expected results:
Real options described in manual
Comment 1 Andrew Cagney 2008-04-08 14:17:39 EDT
This is fixed upstream: http://sourceware.org/frysk/manpages/ is more up-to-date.
Comment 3 Milos Malik 2009-01-19 09:15:48 EST
Manual page of fdebugdump talks about fdebugrpm in its synopsis section.

Manual page of fauxv should contain a space after the utility name in its description section.
Comment 4 Milos Malik 2009-01-19 09:24:33 EST
I'm sorry. Comment #3 is related to frysk-0.4-2.fc10.

Note You need to log in before you can comment on or make changes to this bug.